## python-neutron-lib 2.20.2

=== debian/changelog ===
python-neutron-lib (2.20.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:37:56 +0000

python-neutron-lib (2.20.0-3) unstable; urgency=medium

  * Add Remove_the_validation_of_the_tenant_property.patch (Closes: #1009414).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Apr 2022 11:47:12 +0200

python-neutron-lib (2.20.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 13:48:11 +0100

python-neutron-lib (2.20.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 17:13:19 +0100

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock <!nodoc>,
 python3-netaddr,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-neutron-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-neutron-lib.git
Homepage: http://www.openstack.org/

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

## python-neutron-lib 3.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=4.0.0 # Apache-2.0

SQLAlchemy>=1.2.0 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
keystoneauth1>=3.14.0 # Apache-2.0
netaddr>=0.7.18 # BSD
stevedore>=1.20.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.policy>=3.6.2 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
setproctitle>=1.1.10 # BSD
WebOb>=1.7.1 # MIT
os-traits>=0.9.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 10:05:51 +0200

python-neutron-lib (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Remove_the_validation_of_the_tenant_property.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 08:50:57 +0200

## python-neutron-lib 3.1.2

=== debian/changelog ===
python-neutron-lib (3.1.2-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * d/gbp.conf: Create stable/zed branch.
  * New stable point release for OpenStack Zed (LP: #2025499).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jun 2023 18:05:44 -0400

python-neutron-lib (3.1.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Sep 2022 23:40:14 +0000

python-neutron-lib (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:17:43 -0400

python-neutron-lib (2.21.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 May 2022 10:58:49 -0400

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-mock <!nodoc>,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
 python3-os-api-ref (>= 1.4.0) <!nodoc>,
 python3-os-ken (>= 0.3.0),
 python3-os-traits (>= 0.9.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.0.0),
 python3-setproctitle (>= 1.1.10),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-neutron-lib
Homepage: https://opendev.org/openstack/neutron-lib
Testsuite: autopkgtest-pkg-python

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-os-ken (>= 0.3.0),
 python3-os-traits (>= 0.9.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 4.0.0),
 python3-pecan (>= 1.0.0),
 python3-setproctitle (>= 1.1.10),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

## python-neutron-lib 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 oslo.db>=4.44.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
-oslo.messaging>=7.0.0 # Apache-2.0
+oslo.messaging>=14.2.0 # Apache-2.0
 oslo.policy>=3.6.2 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.4.0-0ubuntu1.1~cloud0) jammy-antelope; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/2023.1 branch.

  [ Bryan Fraschetti ]
  * d/p/rbac-group-by-optimization.patch: Introduce missing "GROUP BY" clause
    on RBAC queries to optimize performance (LP: #2092217)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 10:18:58 +0200

python-neutron-lib (3.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 21 Feb 2023 12:17:13 -0500

python-neutron-lib (3.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:26:00 -0500

python-neutron-lib (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:22:05 -0500

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
  python3-keystoneauth1 (>= 3.14.0),
  python3-mock <!nodoc>,
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
- python3-os-api-ref (>= 1.4.0) <!nodoc>,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.4.0),
  python3-os-ken (>= 0.3.0),
  python3-os-traits (>= 0.9.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -30,7 +30,7 @@
  python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.3.0),
- python3-oslo.messaging (>= 7.0.0),
+ python3-oslo.messaging (>= 14.2.0),
  python3-oslo.policy (>= 3.6.2),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),
@@ -85,7 +85,7 @@
  python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.3.0),
- python3-oslo.messaging (>= 7.0.0),
+ python3-oslo.messaging (>= 14.2.0),
  python3-oslo.policy (>= 3.6.2),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.24.0),

## python-neutron-lib 3.4.1

=== debian/changelog ===
python-neutron-lib (3.4.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1046561).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 01:08:45 +0200

python-neutron-lib (3.4.1-1) unstable; urgency=medium

  * New upstream point release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:50:16 +0200

python-neutron-lib (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:52:53 +0100

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock <!nodoc>,
 python3-netaddr,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-neutron-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-neutron-lib.git
Homepage: http://www.openstack.org/

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

## python-neutron-lib 3.7.0

=== debian/changelog ===
python-neutron-lib (3.7.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:55:48 -0400

python-neutron-lib (3.6.1-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:59:15 -0400

## python-neutron-lib 3.8.0

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
-oslo.db>=4.44.0 # Apache-2.0
+oslo.db>=12.1.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=14.2.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.8.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:46:42 -0400

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-mock <!nodoc>,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-ken (>= 0.3.0),
 python3-os-traits (>= 0.9.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.0.0),
 python3-setproctitle (>= 1.1.10),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-neutron-lib
Homepage: https://opendev.org/openstack/neutron-lib
Testsuite: autopkgtest-pkg-python

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-os-ken (>= 0.3.0),
 python3-os-traits (>= 0.9.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 4.0.0),
 python3-pecan (>= 1.0.0),
 python3-setproctitle (>= 1.1.10),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

## python-neutron-lib 3.9.0

=== debian/changelog ===
python-neutron-lib (3.9.0-0ubuntu1) noble; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.
  * New upstream release for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Add work-around for missing underscore.js.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2023 09:24:51 -0500

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,10 @@
  python3-pbr (>= 4.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
+ python3-sphinxcontrib.jquery,
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
+ python3-ddt (>= 1.0.1),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-keystoneauth1 (>= 3.14.0),

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=neutron_lib

UPSTREAM_GIT := https://opendev.org/openstack/neutron-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-neutron-lib-doc/usr/share/doc/python-neutron-lib-doc/html
	dh_link -p python-neutron-lib-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-neutron-lib-doc/html/_static/underscore.js
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

## python-neutron-lib 3.10.0

=== debian/changelog ===
python-neutron-lib (3.10.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 
  * Drop workaround for missing underscore.js.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 13:11:15 +0000

## python-neutron-lib 3.11.0

=== requirements.txt ===
pbr>=4.0.0 # Apache-2.0

SQLAlchemy>=1.2.0 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
keystoneauth1>=3.14.0 # Apache-2.0
netaddr>=0.7.18 # BSD
stevedore>=1.20.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=12.1.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=14.2.0 # Apache-2.0
oslo.policy>=3.6.2 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
setproctitle>=1.1.10 # BSD
WebOb>=1.7.1 # MIT
os-traits>=0.9.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.11.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 17:12:42 +0000

python-neutron-lib (3.11.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 15:03:07 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-pbr (>= 4.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
- python3-sphinxcontrib.jquery,
 Build-Depends-Indep:
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-neutron-lib-doc/usr/share/doc/python-neutron-lib-doc/html
-	dh_link -p python-neutron-lib-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-neutron-lib-doc/html/_static/underscore.js
 	dh_sphinxdoc
 endif

## python-neutron-lib 3.11.1

=== debian/changelog ===
python-neutron-lib (3.11.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 09:24:21 +0000

python-neutron-lib (3.11.0-3) unstable; urgency=medium

  * Remove the extraneous python3-mock dependency (Closes: #1071014).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2024 08:54:16 +0200

python-neutron-lib (3.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 10:04:06 +0200

python-neutron-lib (3.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed all of debian/patches, applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 17:18:10 +0100

python-neutron-lib (3.8.0-6) unstable; urgency=medium

  * Restrict autopkgtest to amd64 arm64 mips64el ppc64el riscv64 and s390x, as
    dependencies (ie: openvswitch) aren't available on 32 bits arch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Feb 2024 13:25:39 +0100

python-neutron-lib (3.8.0-5) unstable; urgency=medium

  * Add do-not-use-datetime.datetime.utcnow.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Dec 2023 17:37:51 +0100

python-neutron-lib (3.8.0-4) unstable; urgency=medium

  * Updated sqla2.0-Change_test_sqlalchemytypes.py.patch with version 7 of the
    patch from upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Nov 2023 21:44:27 +0100

python-neutron-lib (3.8.0-3) unstable; urgency=medium

  * Add sqla2.0-Change_test_sqlalchemytypes.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2023 22:16:57 +0100

python-neutron-lib (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:31:19 +0200

python-neutron-lib (3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 17:04:25 +0200

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-netaddr,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-neutron-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-neutron-lib.git
Homepage: http://www.openstack.org/

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,15 @@
 #!/usr/bin/make -f
 
-
-export PYBUILD_NAME=neutron_lib
-
-UPSTREAM_GIT := https://opendev.org/openstack/neutron-lib.git
+UPSTREAM_GIT := https://github.com/openstack/neutron-lib.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -30,5 +29,5 @@
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=pybuild
+	dh_clean -O--buildsystem=python_distutils
 	rm -rf build

## python-neutron-lib 3.14.1

=== debian/changelog ===
python-neutron-lib (3.14.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:35:42 +0100

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-mock <!nodoc>,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-ken (>= 0.3.0),
 python3-os-traits (>= 0.9.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.0.0),
 python3-setproctitle (>= 1.1.10),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-neutron-lib
Homepage: https://opendev.org/openstack/neutron-lib
Testsuite: autopkgtest-pkg-python

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-os-ken (>= 0.3.0),
 python3-os-traits (>= 0.9.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 4.0.0),
 python3-pecan (>= 1.0.0),
 python3-setproctitle (>= 1.1.10),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

## python-neutron-lib 3.15.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 pbr>=4.0.0 # Apache-2.0
 
 SQLAlchemy>=1.2.0 # MIT
-pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
+pecan>=1.0.0 # BSD
 keystoneauth1>=3.14.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 stevedore>=1.20.0 # Apache-2.0
@@ -13,9 +13,9 @@
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=14.2.0 # Apache-2.0
-oslo.policy>=3.6.2 # Apache-2.0
+oslo.policy>=4.3.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.service>=1.24.0 # Apache-2.0
 oslo.utils>=7.0.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.15.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090540).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:48:56 +0100

python-neutron-lib (3.15.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:08:46 +0200

python-neutron-lib (3.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 09:24:29 +0200

python-neutron-lib (3.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:15:31 +0200

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.apidoc,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-netaddr,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-neutron-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-neutron-lib.git
Homepage: http://www.openstack.org/

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.2.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

## python-neutron-lib 3.17.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 pbr>=4.0.0 # Apache-2.0
 
 SQLAlchemy>=1.2.0 # MIT
@@ -13,7 +17,7 @@
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=14.2.0 # Apache-2.0
-oslo.policy>=4.3.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.service>=1.24.0 # Apache-2.0
 oslo.utils>=7.0.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.17.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 07:18:46 +0000

python-neutron-lib (3.15.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Add python3-sphinxcontrib.apidoc to BD's.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:56:01 +0100

## python-neutron-lib 3.18.0

=== debian/changelog ===
python-neutron-lib (3.18.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Feb 2025 17:42:24 +0000

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/neutron-lib/neutron-lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-neutron-lib 3.18.1

=== debian/changelog ===
python-neutron-lib (3.18.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 16:13:53 +0000

## python-neutron-lib 3.18.2

=== debian/changelog ===
python-neutron-lib (3.18.2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:53:14 +0100

python-neutron-lib (3.18.2-2) experimental; urgency=medium

  * Add limit-min-ipv4-mtu-to-500.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Mar 2025 16:16:12 +0100

python-neutron-lib (3.18.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 12:30:54 +0100

python-neutron-lib (3.18.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 13:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-sphinxcontrib.apidoc,
 Build-Depends-Indep:
  python3-coverage,
+ python3-debtcollector (>= 3.0.0),
  python3-ddt,
  python3-fixtures,
  python3-hacking,
@@ -32,7 +33,7 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging (>= 14.2.0),
- python3-oslo.policy (>= 4.3.0),
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.utils (>= 7.0.0),
@@ -75,6 +76,7 @@
 Package: python3-neutron-lib
 Architecture: all
 Depends:
+ python3-debtcollector (>= 3.0.0),
  python3-keystoneauth1,
  python3-netaddr,
  python3-os-ken,
@@ -86,7 +88,7 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging (>= 14.2.0),
- python3-oslo.policy (>= 4.3.0),
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.utils (>= 7.0.0),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -29,5 +29,5 @@
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf build

## python-neutron-lib 3.21.0

=== debian/changelog ===
python-neutron-lib (3.21.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 10:46:23 -0700

python-neutron-lib (3.18.2-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:35:56 +0000
